Serveur

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class Serveur

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.Serveur

All Implemented Interfaces:
  IServeur, java.io.Serializable, java.rmi.Remote

    public class Serveur

extends java.rmi.server.UnicastRemoteObject
implements IServeur

Classe Serveur

See Also:
  Serialized Form

Field Summary
`private static java.lang.String` | `hostName` Le nom d'hote de la machine
`private java.lang.String` | `joueur1` Le nom du joueur 1 Celui qui a lance le serveur
`private static IMain` | `main1` Une reference vers la main du joueur 1
`private static IMain` | `main2` Une reference vers la main du joueur 2
`private static IMain` | `main3` Une reference vers la main du joueur 3
`private static IMain` | `main4` Une reference vers la main du joueur 4
`private static IPioche` | `pioche` Une reference vers la pioche
`private static java.util.Properties` | `pro` Les proprietes de la machine
`private static ITapis` | `tapis` Une reference vers le tapis

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`Serveur(int total, int nbManuels, java.util.ArrayList<java.lang.Integer> tm1)` Constructeur creant un objet Serveur.

Method Summary
`static void` | `cartes(IPlateau plateau, IPioche pioche, int total, ITapis tapis)` Methode qui bind toutes les cartes se trouvant dans la pioche
`static void` | `traitementJoueurs(int total, IPlateau pl)` On attend tous les joueurs Pour ensuite binder les joueurs

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pro

    private static java.util.Properties pro

  Les proprietes de la machine

### hostName

    private static java.lang.String hostName

  Le nom d'hote de la machine

### joueur1

    private java.lang.String joueur1

  Le nom du joueur 1
  Celui qui a lance le serveur

### pioche

    private static IPioche pioche

  Une reference vers la pioche

### tapis

    private static ITapis tapis

  Une reference vers le tapis

### main1

    private static IMain main1

  Une reference vers la main du joueur 1

### main2

    private static IMain main2

  Une reference vers la main du joueur 2

### main3

    private static IMain main3

  Une reference vers la main du joueur 3

### main4

    private static IMain main4

  Une reference vers la main du joueur 4

Constructor Detail

### Serveur

    public Serveur(int total,
                   int nbManuels,
                   java.util.ArrayList<java.lang.Integer> tm1)
            throws java.rmi.RemoteException

  Constructeur creant un objet Serveur. L'objet en lui meme ne sert pas forcement, il est juste utile en ce qui concerne la creation et la mise en reseau des objets qui viendrait encombrer les autres classes etant donne sa longueur

  Throws:
    `java.rmi.RemoteException`

Method Detail

### traitementJoueurs

    public static void traitementJoueurs(int total,
                                         IPlateau pl)
                                  throws java.lang.Exception

  On attend tous les joueurs Pour ensuite binder les joueurs

  Throws:
    `java.lang.Exception`

### cartes

    public static void cartes(IPlateau plateau,
                              IPioche pioche,
                              int total,
                              ITapis tapis)
                       throws java.lang.Exception

  Methode qui bind toutes les cartes se trouvant dans la pioche

  Throws:
    `java.lang.Exception`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD